Bug 78767 - All parameter/attribute types replaced with int after promote design pattern
All parameter/attribute types replaced with int after promote design pattern
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: Synchronization
5.x
All All
: P1 (vote)
: TBD
Assigned To: Kris Richards
issues@uml
synchronization
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-21 13:00 UTC by bugbridge
Modified: 2006-10-16 16:00 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugbridge 2006-06-21 13:00:31 UTC
steps to reproduce:
0. create project in design center
1. create class diagram
2. add pattern to the diagram
3. bind class role with the pattern
4. add operation 'public void op( Vector par)' to the class
5. propagate pattern to design center
6. check operation in design center
Vector is replaced with int

The same for attributes, try to add private String log attribute to class role
And for return types, add operation with String return type, check types after
propagation, return type is replaced with void, attribute type is replaced with int.

reproducible with coke060619
Comment 1 Kris Richards 2006-10-12 22:15:02 UTC
cloning was not working properly. Needed to resolve/create new data types.

there is a followup problem; dependecies do not seem to be cloned during an apply of a design pattern.
Comment 2 Sergey Petrov 2006-10-16 16:00:48 UTC
verified with 061015


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo